<template>
    <div  v-if="currentUser.role.create_form_template" class="flex justify-end p-2">
  <Link href="/form/formTemplate/create" class="font-medium text-lime-500 hover:text-lime-600">
    <button class="btn bg-blue-700 text-white text-sm md:text-base py-2 md:py-3 px-4 md:px-6 font-medium rounded-lg hover:bg-blue-800 focus:outline-none focus:ring-2 focus:ring-blue-500">
      Create Form Template
    </button>
  </Link>
</div>

    <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
        
        <div class="overflow-auto">
            <table class="w-full table-fixed  text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400 border-collapse">
    <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
      <tr>
         <th scope="col" class="p-4 w-16" v-if="currentUser.role.delete_form_template">
                            
                        </th>
                        <th scope="col" class="p-4 w-60 md:w-auto">Form Template</th>
                        <th scope="col" class="p-4 w-60 md:w-auto">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Table rows -->
                    <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
                        v-for="formTemplate in formTemplates.data">
                        <td class="mb-5 p-4" v-if="currentUser.role.delete_form_template">
                            
                        </td>
                        <td class="p-4 dark:text-gray-200">
                            {{ formTemplate.name }}
                        </td>
                        <td class="p-4 flex items-center">
                            <Link v-if="currentUser.role.update_form_template"
                                :href="`/form/formTemplate/${formTemplate.id}/edit`"
                                class="font-medium dark:text-green-500 hover:underline">
                            <Icon icon="fa-solid fa-pen-to-square" class="text-2xl"></Icon>
                            </Link>

                            <div class="mx-3"></div>
             

              <button  @click="deleteFormTemplate(formTemplate.id)" v-if="currentUser.role.delete_form_template">
                                 <Icon icon="fa-trash-can" class="text-2xl"></Icon>
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <!-- Dropdown menu -->
   

    <Pagination :data="formTemplates"></Pagination>
</template>
<script setup>
import { computed, onMounted } from "vue";
import { Link, useForm, usePage } from "@inertiajs/vue3";
import Pagination from "@/Components/Pagination.vue";
import { initDropdowns } from "flowbite";

const page = usePage();
const currentUser = computed(() => page.props.currentUser)

const props = defineProps({
    formTemplates: Object,
});

onMounted(() => {
    initDropdowns();
});

//selection
const selectionForm = useForm({
    selected: [],
});

function deleteFormTemplate(formId) {
    if (confirm("Are you sure to delete?")) {
        selectionForm.selected.push(formId);
        selectionForm.delete("/form/formTemplate", {
            preserveScroll: true,
            preserveState: false,
        });
    }
}
</script>
